EDIT - bug #6178

TOE Exception when creating a new Reference
11/02/2016 11:48 PM - Andreas Muller

Status: Duplicate Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour

Target version:

Severity: blocker Found in Version:

Description

| tried to add a new nomencl. reference via "Create a new Reference in Reference selection dialog.
This caused the following exception. To me it looks like following 2 lines are the critical ones:

at com.sun.proxy.S$Proxyll.getReferencingObjectsCount (Unknown Source)
at eu.etaxonomy.taxeditor.ui.section.reference.ReferenceDetailElement.setWarnForReferencingObjects
(ReferenceDetailElement.java:611)

This is probably a regression introduced with checking on related objects within dialogs. This should not take place for new objects at
all, as they can not be related per se.

login : admin
editor version : 4.4.0.201611012350
server : test.e-taxonomy.eu / edit-test
schema version : 4.0.0.0.201604200000
os : Windows Server 2012 6.2 amd64
jJava : 1.7.0_65
java.lang.RuntimeException: org.hibernate.TransientObjectException: object references an unsaved t
ransient instance - save the transient instance before flushing: eu.etaxonomy.cdm.model.reference.
Reference

at eu.etaxonomy.cdm.persistence.dao.hibernate.common.CdmGenericDaoImpl.getReferencingObjects (C
dmGenericDaoImpl. java:195)

at eu.etaxonomy.cdm.api.service.CommonServiceImpl.getReferencingObjectsCount (CommonServiceImpl
.java:109)

at sun.reflect.GeneratedMethodAccessorl892.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:497)

at org.springframework.aop.support.RAopUtils.invokeJoinpointUsingReflection (AopUtils.java:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokeJoinpoint (ReflectiveMeth
odInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:157)

at org.springframework.transaction.interceptor.TransactionInterceptor.invoke (TransactionInterc
eptor.java:110)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxy554.getReferencingObjectsCount (Unknown Source)

at sun.reflect.GeneratedMethodAccessorl892.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:497)

at org.springframework.aop.support.RAopUtils.invokeJoinpointUsingReflection (AopUtils.java:302)

at org.springframework.aop.framework.ReflectiveMethodInvocation.invokedJoinpoint (ReflectiveMeth
odInvocation. java:190)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:157)

at org.springframework.remoting. support.RemoteInvocationTracelInterceptor.invoke (RemotelInvocati
onTracelnterceptor.java:78)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$SProxy848.getReferencingObjectsCount (Unknown Source)
at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:497)

at org.springframework.remoting.support.RemoteInvocation.invoke (RemotelInvocation. java:212)

at org.springframework.remoting.support.DefaultRemoteInvocationExecutor.invoke (DefaultRemoteIn
vocationExecutor. java:39)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invoke (RemoteInvocationB
asedExporter. java:78)

at org.springframework.remoting.support.RemoteInvocationBasedExporter.invokeAndCreateResult (Re
moteInvocationBasedExporter.java:114)

at org.springframework.remoting.httpinvoker.HttpInvokerServiceExporter.handleRequest (HttpInvok
erServiceExporter. java:74)

at org.springframework.web.servlet.mvc.HttpRequestHandlerAdapter.handle (HttpRequestHandlerAdap
ter.java:51)

at org.springframework.web.servlet.DispatcherServlet.doDispatch (DispatcherServlet.java:959)

at org.springframework.web.servlet.DispatcherServlet.doService (DispatcherServlet. java:893)

at org.springframework.web.servlet.FrameworkServlet.processRequest (FrameworkServlet. java:969)

at org.springframework.web.servlet.FrameworkServlet.doPost (FrameworkServlet. java:871)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:707)

at org.springframework.web.servlet.FrameworkServlet.service (FrameworkServlet.java:845)

at javax.servlet.http.HttpServlet.service (HttpServlet.java:790)

at org.eclipse.jetty.servlet.ServletHolder.handle (ServletHolder.java:808)

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler.java:1669)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:316)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.invoke (FilterSe
curityInterceptor.java:126)

at org.springframework.security.web.access.intercept.FilterSecurityInterceptor.doFilter (Filter
SecurityInterceptor. java:90)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.access.ExceptionTranslationFilter.doFilter (ExceptionTransl
ationFilter.java:114)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.session.SessionManagementFilter.doFilter (SessionManagement
Filter.java:122)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.servletapi.SecurityContextHolderAwareRequestFilter.doFilte
r (SecurityContextHolderAwareRequestFilter.java:169)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.savedrequest.RequestCacheAwareFilter.doFilter (RequestCache
AwareFilter. java:48)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.authentication.www.BasicAuthenticationFilter.doFilterInter
nal (BasicAuthenticationFilter. java:213)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.authentication.logout.LogoutFilter.doFilter (LogoutFilter.j
ava:120)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.header.HeaderWriterFilter.doFilterInternal (HeaderWriterFil
ter.java:64)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.Jjava:330)

at org.springframework.security.web.context.SecurityContextPersistenceFilter.doFilter (Security
ContextPersistenceFilter. java:91)

at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)

at org.springframework.security.web.context.request.async.WebAsyncManagerIntegrationFilter.doF
ilterInternal (WebAsyncManagerIntegrationFilter. java:53)
at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)
at org.springframework.security.web.FilterChainProxy$VirtualFilterChain.doFilter (FilterChainPr
oxy.java:330)
at org.springframework.security.web.FilterChainProxy.doFilterInternal (FilterChainProxy. java:21

at org.springframework.security.web.FilterChainProxy.doFilter (FilterChainProxy.java:176)

at org.springframework.web.filter.DelegatingFilterProxy.invokeDelegate (DelegatingFilterProxy. j
ava:3406)

at org.springframework.web.filter.DelegatingFilterProxy.doFilter (DelegatingFilterProxy. java:26

at org.eclipse.jetty.servlet.ServletHandler$SCachedChain.doFilter (ServletHandler.java:1652)

at org.springframework.web.filter.CharacterEncodingFilter.doFilterInternal (CharacterEncodingFi
lter.java:121)

at org.springframework.web.filter.OncePerRequestFilter.doFilter (OncePerRequestFilter.java:107)

at org.eclipse. jetty.servlet.ServletHandler$CachedChain.doFilter (ServletHandler.java:1652)

at org.eclipse.jetty.servlet.ServletHandler.doHandle (ServletHandler. java:585)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:143)

at org.eclipse.jetty.security.SecurityHandler.handle (SecurityHandler.java:577)

at org.eclipse.jetty.server.session.SessionHandler.doHandle (SessionHandler.java:223)

at org.eclipse.jetty.server.handler.ContextHandler.doHandle (ContextHandler.java:1127)

at org.eclipse.jetty.servlet.ServletHandler.doScope (ServletHandler.java:515)

at org.eclipse.jetty.server.session.SessionHandler.doScope (SessionHandler.java:185)

at org.eclipse.jetty.server.handler.ContextHandler.doScope (ContextHandler. java:1061)

at org.eclipse.jetty.server.handler.ScopedHandler.handle (ScopedHandler. java:141)

at org.eclipse.jetty.server.handler.ContextHandlerCollection.handle (ContextHandlerCollection.j
ava:215)

at org.eclipse.jetty.server.handler.HandlerWrapper.handle (HandlerWrapper. java:97)

at org.eclipse.jetty.server.Server.handle (Server. java:497)

at org.eclipse.jetty.server.HttpChannel.handle (HttpChannel. java:310)

at org.eclipse.jetty.server.HttpConnection.onFillable (HttpConnection. java:257)

at org.eclipse. jetty.io.AbstractConnection$2.run (AbstractConnection. java:540)

at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob (QueuedThreadPool. java:635)

at org.eclipse.jetty.util.thread.QueuedThreadPool$3.run (QueuedThreadPool. java:555)

at java.lang.Thread.run (Thread. java:745)

at org.springframework.remoting.support.RemoteInvocationUtils.fillInClientStackTraceIfPossible
(RemoteInvocationUtils. java:45)

at org.springframework.remoting.support.RemoteInvocationResult.recreate (RemoteInvocationResult
.Java:149)

at org.springframework.remoting.support.RemoteInvocationBasedAccessor.recreateRemoteInvocation
Result (RemoteInvocationBasedAccessor. java:85)

at org.springframework.remoting.httpinvoker.HttpInvokerClientInterceptor.invoke (HttpInvokerCli
entInterceptor. java:150)

at org.springframework.aop.framework.ReflectiveMethodInvocation.proceed (ReflectiveMethodInvoca
tion.java:179)

at org.springframework.aop.framework.JdkDynamicAopProxy.invoke (JdkDynamicAopProxy.java:208)

at com.sun.proxy.S$Proxyll.getReferencingObjectsCount (Unknown Source)

at eu.etaxonomy.taxeditor.ui.section.reference.ReferenceDetailElement.setWarnForReferencingObj
ects (ReferenceDetailElement. java:611)

at eu.etaxonomy.taxeditor.ui.section.reference.ReferenceDetailElement.createControls (Reference
DetailElement. java:120)

at eu.etaxonomy.taxeditor.ui.section.reference.ReferenceDetailElement.createControls (Reference
DetailElement. java:1l)

at eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement.updateContent (AbstractCdmDetailE
lement.java:102)

at eu.etaxonomy.taxeditor.ui.section.reference.ReferenceDetailElement.updateContent (ReferenceD
etailElement. java:200)

at eu.etaxonomy.taxeditor.ui.section.AbstractCdmDetailElement.setEntity (AbstractCdmDetailEleme
nt.java:89)

at eu.etaxonomy.taxeditor.ui.section.reference.ReferenceWizardPage.createElement (ReferenceWiza
rdPage. java:58)

at eu.etaxonomy.taxeditor.ui.element.AbstractCdmEntityWizardPage.createControl (AbstractCdmEnti
tyWizardPage. java:108)

at org.eclipse.jface.wizard.Wizard.createPageControls (Wizard. java:174)

at org.eclipse.jface.wizard.WizardDialog.createPageControls (WizardDialog. java:736)

at org.eclipse.jface.wizard.WizardDialog.createContents (WizardDialog. java:608)

at org.eclipse.jface.window.Window.create (Window. java:431)
at org.eclipse.jface.dialogs.Dialog.create(Dialog. java:1089)

at org.eclipse.jface.window.Window.open (Window. java:790)

at eu.etaxonomy.taxeditor.ui.dialog.selection.AbstractFilteredCdmResourceSelectionDialog$3.wid
getSelected (AbstractFilteredCdmResourceSelectionDialog. java:487)

at org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener. java:240)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1053)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1077)

at org.eclipse.swt.widgets.Widget.sendSelectionEvent (Widget. java:1094)

at org.eclipse.swt.widgets.Link.wmNotifyChild (Link.java:1071)

at org.eclipse.swt.widgets.Control.wmNotify (Control.java:5534)

at org.eclipse.swt.widgets.Composite.wnmNotify (Composite.java:1896)

at org.eclipse.swt.widgets.Control.WM_NOTIFY (Control.java:5086)

at org.eclipse.swt.widgets.Control.windowProc (Control.java:4584)

at org.eclipse.swt.widgets.Display.windowProc (Display.java:4985)

at org.eclipse.swt.internal.win32.0S.CallWindowProcW (Native Method)

at org.eclipse.swt.internal.win32.0S.CallWindowProc (0S.java:2425)

at org.eclipse.swt.widgets.Link.callWindowProc (Link.java:172)

at org.eclipse.swt.widgets.Widget.wmLButtonUp (Widget.java:2057)

at org.eclipse.swt.widgets.Control.WM_LBUTTONUP (Control.java:4912)

at org.eclipse.swt.widgets.Link.WM_LBUTTONUP (Link. java:909)

at org.eclipse.swt.widgets.Control.windowProc (Control.java:4565)

at org.eclipse.swt.widgets.Display.windowProc (Display.java:4985)

at org.eclipse.swt.internal.win32.0S.DispatchMessageW (Native Method)

at org.eclipse.swt.internal.win32.0S.DispatchMessage (0S.java:2531)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3752)

at org.eclipse.jface.window.Window.runEventLoop (Window. java:825)

at org.eclipse.jface.window.Window.open (Window.java:801)

at eu.etaxonomy.taxeditor.ui.dialog.selection.AbstractFilteredCdmResourceSelectionDialog.getSe
lectionFromDialog (AbstractFilteredCdmResourceSelectionDialog. java:148)

at eu.etaxonomy.taxeditor.ui.dialog.selection.NomenclaturalReferenceSelectionDialog.select (Nom
enclaturalReferenceSelectionDialog. java:89)

at eu.etaxonomy.taxeditor.ui.dialog.selection.SelectionDialogFactory.getSelectionFromDialog (Se
lectionDialogFactory. java:80)

at eu.etaxonomy.taxeditor.ui.selection.EntitySelectionElement.widgetSelected (EntitySelectionEl
ement . java:223)

at org.eclipse.swt.widgets.TypedListener.handleEvent (TypedListener.java:240)

at org.eclipse.swt.widgets.EventTable.sendEvent (EventTable. java:84)

at org.eclipse.swt.widgets.Widget.sendEvent (Widget. java:1053)

at org.eclipse.swt.widgets.Display.runDeferredEvents (Display.java:4165)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3754)

at org.eclipse.ui.internal.Workbench.runEventLoop (Workbench. java:2701)

at org.eclipse.ui.internal.Workbench.runUI (Workbench. java:2665)

at org.eclipse.ui.internal.Workbench.access$4 (Workbench. java:2499)

at org.eclipse.ui.internal.Workbench$7.run (Workbench. java:679)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:332)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:668)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:149)

at eu.etaxonomy.taxeditor.Application.start (Application. java:24)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLaunc
her.java:110)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. java:
79)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter. java:344)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:179)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:57)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:606)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:622)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:577)

at org.eclipse.equinox.launcher.Main.run (Main.java:1410)
Caused by: org.hibernate.TransientObjectException: object references an unsaved transient instance
- save the transient instance before flushing: eu.etaxonomy.cdm.model.reference.Reference

at org.hibernate.engine.internal.ForeignKeys.getEntityIdentifierIfNotUnsaved (ForeignKeys. java:
279)
at org.hibernate.type.EntityType.getIdentifier (EntityType. java:455)

at org.hibernate.type.ManyToOneType.nullSafeSet (ManyToOneType. java:153)

at org.hibernate.param.NamedParameterSpecification.bind (NamedParameterSpecification. java:52)

at org.hibernate.loader.hgl.QueryLoader.bindParameterValues (QueryLoader. java:627)

at org.hibernate.loader.Loader.prepareQueryStatement (Loader. java:1944)

at org.hibernate.loader.Loader.executeQueryStatement (Loader. java:1897)

at org.hibernate.loader.Loader.executeQueryStatement (Loader. java:1875)

at org.hibernate.loader.Loader.doQuery (Loader. java:919)

at org.hibernate.loader.Loader.doQueryAndInitializeNonLazyCollections (Loader. java:336)

at org.hibernate.loader.Loader.dolList (Loader.java:2611)

at org.hibernate.loader.Loader.dolList (Loader.java:2594)

at org.hibernate.loader.Loader.listIgnoreQueryCache (Loader. java:2423)

at org.hibernate.loader.Loader.list (Loader.java:2418)

at org.hibernate.loader.hgl.QueryLoader.list (QueryLoader.java:501)

at org.hibernate.hgl.internal.ast.QueryTranslatorImpl.list (QueryTranslatorImpl. java:371)

at org.hibernate.engine.query.spi.HQLQueryPlan.performList (HQLQueryPlan. java:216)

at org.hibernate.internal.SessionImpl.list (SessionImpl.java:1326)

at org.hibernate.internal.QueryImpl.list (QueryImpl.java:87)

at eu.etaxonomy.cdm.persistence.dao.hibernate.common.CdmGenericDaoImpl.getCdmBasesWithItemInCo
llection (CdmGenericDaoImpl. java:134)

at eu.etaxonomy.cdm.persistence.dao.hibernate.common.CdmGenericDaoImpl.handleReferenceHolder (C
dmGenericDaoImpl. java:269)

at eu.etaxonomy.cdm.persistence.dao.hibernate.common.CdmGenericDaoImpl.getReferencingObjects (C
dmGenericDaoImpl. java:190)

166 more

Related issues:

Related to EDIT - bug #6176: Creating a new Reference throws TOE (TransientOb... Closed
Related to EDIT - feature request #5972: Prevent user from unwanted author an... Closed
History

#1 - 11/02/2016 11:48 PM - Andreas Miiller
- Priority changed from New to Highest

- Severity changed from normal to blocker

#2 - 11/02/2016 11:49 PM - Andreas Miller

- Blocks bug #6129: After creating a new Reference in selection dialog, it could not be found in the selection dialog added

#3 - 11/02/2016 11:50 PM - Andreas Miiller
- Related to bug #6176: Creating a new Reference throws TOE (TransientObjectException) added

#4 - 11/02/2016 11:51 PM - Andreas Miller

This issue is very similar to #6176 (but not exactly a duplicate | guess)

#5 - 11/03/2016 04:05 PM - Andreas Miiller
- Status changed from New to Duplicate

- Target version deleted (Release 4.4)

Looks like this was fixed together with #6178. As it was only a temporary regression within v4.4 snapshot | remove the target version.

#6 - 11/03/2016 04:06 PM - Andreas Miuller

- Blocks deleted (bug #6129: After creating a new Reference in selection dialog, it could not be found in the selection dialog)

#7 - 11/03/2016 04:06 PM - Andreas Miiller

- Related to feature request #5972: Prevent user from unwanted author and reference updates added
https://dev.e-taxonomy.eu/redmine/issues/6176
https://dev.e-taxonomy.eu/redmine/issues/6178
http://www.tcpdf.org

